> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a vendor

> Create a vendor in your app for accounts payable



## OpenAPI

````yaml /v2.yaml post /v2/accounts-payable/vendors
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/accounts-payable/vendors:
    post:
      tags:
        - accounts-payable
      summary: Create a vendor
      description: Create a vendor in your app for accounts payable
      operationId: create-vendor
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                contact_email:
                  type: string
                  format: email
                external_id:
                  type: string
                address:
                  type: object
                  properties:
                    country:
                      type: string
                      enum:
                        - US
                    city:
                      type: string
                    state:
                      type: string
                      enum:
                        - AL
                        - AK
                        - AS
                        - AZ
                        - AR
                        - CA
                        - CO
                        - CT
                        - DE
                        - DC
                        - FM
                        - FL
                        - GA
                        - GU
                        - HI
                        - ID
                        - IL
                        - IN
                        - IA
                        - KS
                        - KY
                        - LA
                        - ME
                        - MH
                        - MD
                        - MA
                        - MI
                        - MN
                        - MS
                        - MO
                        - MT
                        - NE
                        - NV
                        - NH
                        - NJ
                        - NM
                        - NY
                        - NC
                        - ND
                        - MP
                        - OH
                        - OK
                        - OR
                        - PW
                        - PA
                        - PR
                        - RI
                        - SC
                        - SD
                        - TN
                        - TX
                        - UT
                        - VT
                        - VI
                        - VA
                        - WA
                        - WV
                        - WI
                        - WY
                    line_1:
                      type: string
                    line_2:
                      type: string
                    postcode:
                      type: string
                  required:
                    - line_1
                    - country
                    - state
                    - city
                    - postcode
              required:
                - name
                - address
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vendor'
components:
  schemas:
    vendor:
      type: object
      properties:
        id:
          type: string
          description: ID of the `vendor`.
        name:
          type: string
          description: Name of the `vendor`.
        description:
          type: string
        active:
          type: boolean
          description: Indicates if the vendor is active.
        address:
          type: object
          properties:
            city:
              type: string
            country:
              type: string
            line_1:
              type: string
            line_2:
              type: string
            postcode:
              type: string
            state:
              type: string
        api_app_id:
          type: string
          format: uuid
        contact_email:
          type: string
          format: email
        created:
          type: string
          format: date-time
        external_id:
          type: string
          nullable: true
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````